Package com.sas.services.user

# Class SummaryDataEntry.RepositorySummary

java.lang.Object
com.sas.services.user.SummaryDataEntry.RepositorySummary

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SummaryDataEntry`

public class SummaryDataEntry.RepositorySummary extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositorySummary(String name, String protocol, String host, String port, String base)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getBase()`
  `final com.sas.services.cache.CacheStatistics`
  `getDataCache()`
  `final String`
  `getHost()`
  `final String`
  `getIsName()`
  `final com.sas.services.cache.CacheStatistics`
  `getMetaCache()`
  `final String`
  `getPort()`
  `final String`
  `getProtocol()`
  `final void`
  `setBase(String base)`
  `final void`
  `setDataCache(com.sas.services.cache.CacheStatistics dataCache)`
  `final void`
  `setHost(String host)`
  `final void`
  `setIsName(String isName)`
  `final void`
  `setMetaCache(com.sas.services.cache.CacheStatistics metaCache)`
  `final void`
  `setPort(String port)`
  `final void`
  `setProtocol(String protocol)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepositorySummary

    public RepositorySummary(String name, String protocol, String host, String port, String base)

- ## Method Details

  - ### getDataCache

    public final com.sas.services.cache.CacheStatistics getDataCache()

  - ### setDataCache

    public final void setDataCache(com.sas.services.cache.CacheStatistics dataCache)

  - ### getHost

    public final String getHost()

  - ### setHost

    public final void setHost(String host)

  - ### getIsName

    public final String getIsName()

  - ### setIsName

    public final void setIsName(String isName)

  - ### getMetaCache

    public final com.sas.services.cache.CacheStatistics getMetaCache()

  - ### setMetaCache

    public final void setMetaCache(com.sas.services.cache.CacheStatistics metaCache)

  - ### getPort

    public final String getPort()

  - ### setPort

    public final void setPort(String port)

  - ### getProtocol

    public final String getProtocol()

  - ### setProtocol

    public final void setProtocol(String protocol)

  - ### getBase

    public final String getBase()

  - ### setBase

    public final void setBase(String base)